%define		_state		stable
%define		orgname		kdegraphics-mobipocket
%define		qtver		4.8.1

Summary:	K Desktop Environment - Mobipocket support for Okular
Summary(pl.UTF-8):	K Desktop Environment - Wsparcie formatu mobipocket dla Okulara
Name:		kde4-kdegraphics-mobipocket
Version:	4.14.3
Release:	2
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	1b89a50b355293a9dd7ce654709e7d09
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	strigi-devel
Obsoletes:	mobipocket <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mobipocket support for Okular.

%description -l pl.UTF-8
Wsparcie formatu mobipocket dla Okulara.

%package devel
Summary:	Development files for kdegraphics-mobipocket
Summary(pl.UTF-8):	Pliki przydatne twórcom gier dla kdegraphics-mobipocket
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kde4-kdelibs-devel >= %{version}

%description devel
Development files for kde4-kdegraphics-mobipocket.

%description devel -l pl.UTF-8
kde4-kdegraphics-mobipocket - pliki dla programistów.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/mobithumbnail.so
%attr(755,root,root) %ghost %{_libdir}/libqmobipocket.so.?
%attr(755,root,root) %{_libdir}/libqmobipocket.so.*.*.*
%attr(755,root,root) %{_libdir}/strigi/strigila_mobi.so
%{_datadir}/kde4/services/mobithumbnail.desktop

%files devel
%defattr(644,root,root,755)
%{_includedir}/qmobipocket
%{_libdir}/cmake/QMobipocket
%attr(755,root,root) %{_libdir}/libqmobipocket.so
%changelog
* Sat Apr 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kdegraphics-mobipocket.git;a=log;h=master

* Sat Apr 04 2015 Jan Rękorajski <baggins@pld-linux.org> 32c93dd
- x32 rebuild
- release 2 (by relup.sh)

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 85e6410
- updated to 4.14.3 (by update-kde4.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 8626bff
- up to 4.14.2

* Sat Aug 23 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8fa80fc
- http url

* Thu Aug 14 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c3baacf
- up to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 1b8b8da
- updated to 4.13.2 (by update-kde4.sh)

* Sat May 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 861e2f9
- rel 2; run ldconfig

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> f17ddd1
- updated to 4.13.1 (by update-kde4.sh)

* Wed Apr 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c4cd05d
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8a3563d
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 09206ea
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 78d2af1
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7e2aeb0
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 26 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 3e47d9c
- up to 4.12.0; subpackage devel

* Thu Aug 08 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 85a07ae
- up to 4.11.0

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> c6e7fc1
- updated to 4.10.4 (by update-kde4.sh)

* Thu Jan 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7fb2f6c
- up to 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> f609e94
- updated to 4.9.4

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> ff5b80f
- updated to 4.9.1.

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 33182eb
- release 2 (by relup.sh)

